		CHANGELOG for USAGI glibc21
$USAGI: CHANGELOG.USAGI-GLIBC21.PRERELEASE,v 1.1 2001/02/19 06:14:23 yoshfuji Exp $

<200010>
2000-10-31 14:39  yoshfuji

	* sysdeps/posix/getaddrinfo.c: clean-up. this fixes bug that port
	was not set with AI_V4MAPPED flags.

2000-10-31 14:31  yoshfuji

	* sysdeps/posix/getaddrinfo.c: return all socket types is neither
	socket type or protocol was given (from glibc22)

2000-10-31 14:18  yoshfuji

	* sysdeps/posix/getaddrinfo.c: typo in unused code

2000-10-31 14:17  yoshfuji

	* sysdeps/posix/getaddrinfo.c: typo

2000-10-31 14:07  yoshfuji

	* sysdeps/posix/getaddrinfo.c: 1)fill ai_socktype and ai_protocol
	by table unless we don't care about protocol number.  2)
	ai_protocol should match to the hint.

2000-10-31 12:56  yoshfuji

	* sysdeps/posix/getaddrinfo.c: ai_socktype should be matched to the
	hints

2000-10-31 12:07  yoshfuji

	* inet/Versions, inet/getnameinfo.c, inet/ifaddrs.h, inet/ip6opt.c,
	inet/rthdr.c, sysdeps/posix/getaddrinfo.c,
	sysdeps/unix/sysv/linux/cmsg_nxthdr.c,
	sysdeps/unix/sysv/linux/if_index.c,
	sysdeps/unix/sysv/linux/ifaddrs.c,
	sysdeps/unix/sysv/linux/ifnames.c,
	sysdeps/unix/sysv/linux/net/if.h: $_USAGI_$

2000-10-31 11:21  yoshfuji

	* README.USAGI: $_USAGI_$

2000-10-31 10:48  yoshfuji

	* inet/netinet/in.h: use uintXX_t instead of u_intXX_t

2000-10-26 19:50  yoshfuji

	* inet/rcmd.c, inet/rexec.c, resolv/netdb.h: sync with glibc22. 
	New functions: {iruserok,rcmd,rexec,rresvport,ruserok}_af()	   
	       (defined in RFC2292bis)
	
	XXX: they're not exported at this moment because of versioning
	problem.

2000-10-25 19:15  yoshfuji

	* README.USAGI: AI_V4MAPPED,AI_ALL is now supported; fixed typo:
	AI_ADDRCONF -> AI_ADDRCONFIG

2000-10-25 19:11  yoshfuji

	* README.USAGI, README.USAGI: FTP

2000-10-25 19:09  yoshfuji

	* inet/netinet/icmp6.h: #endif was not balanced

2000-10-25 17:45  yoshfuji

	* inet/netinet/icmp6.h: #endif was not balanced

2000-10-25 16:46  yoshfuji

	* sysdeps/posix/getaddrinfo.c: fill port (bug was introduced in the
	last clean-up.)

2000-10-25 15:51  yoshfuji

	* sysdeps/posix/getaddrinfo.c: clean-up

2000-10-25 15:15  yoshfuji

	* sysdeps/posix/getaddrinfo.c: typo

2000-10-25 14:43  yoshfuji

	* sysdeps/posix/getaddrinfo.c: fill socktype by given hint if no
	service was specified.

2000-10-25 14:38  yoshfuji

	* sysdeps/posix/getaddrinfo.c: AI_V4MAPPED, AI_ALL support.

2000-10-25 14:24  yoshfuji

	* sysdeps/posix/getaddrinfo.c: ensure to clear scope id

2000-10-24 06:54  yoshfuji

	* inet/netinet/: icmp6.h, ip6.h: sync with glibc22

2000-10-24 06:52  yoshfuji

	* inet/netinet/in.h: typo in original (from glibc22)

2000-10-24 06:40  yoshfuji

	* inet/netinet/icmp6.h: use uintXX_t instead of u_intXX_t

2000-10-20 21:46  yoshfuji

	* README.USAGI: IPv6 transportable resolver

2000-10-20 12:15  yoshfuji

	* README.USAGI, Versions.def, inet/Versions, inet/getnameinfo.c,
	inet/ip6opt.c, inet/rthdr.c, inet/netinet/icmp6.h,
	inet/netinet/in.h, inet/netinet/ip6.h, sysdeps/posix/getaddrinfo.c,
	sysdeps/unix/sysv/linux/if_index.c,
	sysdeps/unix/sysv/linux/ifaddrs.c,
	sysdeps/unix/sysv/linux/ifnames.c: sync to STABLE-20001010a branch
	(mSTABLE-20001010a_20001020)

2000-10-20 08:10  yoshfuji

	* resolv/: res_init.c, res_send.c, resolv.h: DNS IPv6 transport
	patch (backported from glibc22 by <shun@ipsmg.org>); (I removed
	from branch)

2000-10-18 13:31  yoshfuji

	* README.USAGI: cvsweb location

2000-10-16 17:10  yoshfuji

	* README.USAGI: file README.USAGI was initially added on branch
	bSTABLE-20001010a.

2000-10-16 17:10  yoshfuji

	* README.USAGI: README.USAGI

2000-10-15 12:05  yoshfuji

	* sysdeps/posix/getaddrinfo.c: indentation

2000-10-15 12:03  yoshfuji

	* sysdeps/posix/getaddrinfo.c: fill ai_protocol with that in hints
	if the set accepts any protocols.

2000-10-15 11:55  yoshfuji

	* sysdeps/posix/getaddrinfo.c: optimize changes in 1.8.2.2 (from
	glibc22)

2000-10-15 11:49  yoshfuji

	* sysdeps/posix/getaddrinfo.c: fill ai_socktype and ai_protocol
	even if service were not supplied.

2000-10-13 23:50  yoshfuji

	* inet/getnameinfo.c: check flags

2000-10-13 23:48  yoshfuji

	* inet/getnameinfo.c: return error type by EAI_XXX.

2000-10-13 23:37  yoshfuji

	* inet/getnameinfo.c: NI_NUMERICSCOPE

2000-10-13 16:13  yoshfuji

	* sysdeps/unix/sysv/linux/ifnames.c: kill some more warnings

2000-10-13 16:10  yoshfuji

	* sysdeps/unix/sysv/linux/: ifaddrs.c, ifnames.c: kill some errors
	and warnings

2000-10-13 13:12  yoshfuji

	* sysdeps/unix/sysv/linux/ifnames.c: typo

2000-10-13 13:11  yoshfuji

	* sysdeps/unix/sysv/linux/ifaddrs.c: fixed copying

2000-10-13 13:08  yoshfuji

	* sysdeps/unix/sysv/linux/ifaddrs.c: fill scope-id

2000-10-13 13:01  yoshfuji

	* sysdeps/unix/sysv/linux/if_index.c: prepare to merge new method
	of if_nameindex();

2000-10-13 11:42  yoshfuji

	* sysdeps/unix/sysv/linux/: ifaddrs.c, ifnames.c: use __close()

2000-10-13 11:35  yoshfuji

	* sysdeps/unix/sysv/linux/: ifaddrs.c, ifnames.c: use __socket()

2000-10-13 11:10  yoshfuji

	* sysdeps/unix/sysv/linux/: ifaddrs.c, ifnames.c: use __set_errno()
	macro.

2000-10-13 10:58  yoshfuji

	* sysdeps/posix/getaddrinfo.c: Use __set_errno() macro.

2000-10-12 21:59  yoshfuji

	* inet/netinet/icmp6.h: fix comment in original

2000-10-12 21:52  yoshfuji

	* inet/netinet/icmp6.h: term

2000-10-12 21:49  yoshfuji

	* inet/netinet/icmp6.h: tabbing

2000-10-12 21:46  yoshfuji

	* inet/netinet/icmp6.h: structures and definitions about
	node-information-queries and router-renumbering. from KAME

2000-10-11 22:25  yoshfuji

	* Versions.def, inet/Versions, inet/ip6opt.c, inet/rthdr.c,
	inet/netinet/in.h, inet/netinet/ip6.h: moved from broken
	sTABLE-20001010 branch

2000-10-11 21:41  yoshfuji

	* sysdeps/posix/getaddrinfo.c: ? was missing

2000-10-11 12:56  yoshfuji

	* inet/netinet/in.h: #define __USAGI__

2000-10-11 12:47  yoshfuji

	* Versions.def, inet/Versions: export inet6_XXX and getifaddrs()
	[GLIBC_2.1.3_USAGI]

2000-10-11 12:14  yoshfuji

	* inet/: ip6opt.c, rthdr.c, netinet/in.h, netinet/ip6.h: disable
	RFC2292bis things for the 1st release

2000-10-10 18:56  yoshfuji

	* inet/ifaddrs.h: move include/ifaddrs.h to inet/ifaddrs.h
	(reported from Masaru Yokoi <masaru@turbolinux.co.jp>)

2000-10-10 18:56  yoshfuji

	* include/ifaddrs.h: move include/ifaddrs.h to inet/ifaddrs.h

2000-10-08 01:11  yoshfuji

	* sysdeps/posix/getaddrinfo.c: addrinfo() should be addrconfig()

2000-10-08 01:09  yoshfuji

	* sysdeps/posix/getaddrinfo.c: ? operator was missing.

2000-10-06 16:34  yoshfuji

	* sysdeps/posix/getaddrinfo.c: AI_ADDRCONFIG support.

2000-10-05 11:10  yoshfuji

	* inet/getnameinfo.c: #include <net/if.h>

2000-10-05 08:33  yoshfuji

	* sysdeps/unix/sysv/linux/: ifaddrs.c, ifnames.c: for glibc

2000-10-05 08:32  yoshfuji

	* inet/Makefile: ifnames

2000-10-05 08:24  yoshfuji

	* inet/getnameinfo.c: NI_NOFQDN was broken.

2000-10-05 08:23  yoshfuji

	* inet/getnameinfo.c: sin6_scope_id support.

2000-10-05 04:30  yoshfuji

	* sysdeps/unix/sysv/linux/if_index.c: Reuse old if_nametoindex()
	and if_indextoname().

2000-10-05 03:56  yoshfuji

	* sysdeps/unix/sysv/linux/if_index.c: disable old if_XXX()

2000-10-05 03:54  yoshfuji

	* include/ifaddrs.h, inet/Makefile,
	sysdeps/unix/sysv/linux/ifaddrs.c,
	sysdeps/unix/sysv/linux/ifnames.c: if_nameindex() etc. and
	getifaddrs() using rtnetlink(7)

2000-10-05 03:08  yoshfuji

	* sysdeps/posix/getaddrinfo.c: #include <assert.h>

2000-10-05 03:04  yoshfuji

	* inet/netinet/in.h: typo

2000-10-05 02:53  yoshfuji

	* sysdeps/unix/sysv/linux/bits/in.h: sync to latest names;
	IPV6_{JOIN,LEAVE}_GROUP, IPV6_RTHDR etc.

2000-10-05 02:47  yoshfuji

	* inet/netinet/in.h: RFC2292 / RFC2292bis things; IPV6_RTHDR_XXX,
	inet6_{option,opt}_XXX() and inet6_{rthdr,rth}_XXX(); from RFC2292
	/ RFC2292bis and KAME.

2000-10-05 02:40  yoshfuji

	* inet/: ip6opt.c, rthdr.c: fix types; use uintXX_t; don't use
	u_intXX_t etc.

2000-10-05 02:33  yoshfuji

	* inet/rthdr.c: inet6_rthdr_XXX(), inet6_rth_XXX() from KAME

2000-10-05 02:33  yoshfuji

	* inet/ip6opt.c: inet6_option_XXX(), inet6_opt_XXX() from KAME

2000-10-05 02:29  yoshfuji

	* inet/netinet/ip6.h: struct ip6_ext{} from KAME

2000-10-05 02:24  yoshfuji

	* inet/netinet/ip6.h: struct ip6_opt{} and related things
	(RFC2292bis

2000-10-05 01:59  yoshfuji

	* sysdeps/posix/getaddrinfo.c: #include <net/if.h>

2000-10-05 01:20  yoshfuji

	* inet/netinet/ip6.h: Removed ip6r0_addr according to RFC2292bis

2000-10-05 00:44  yoshfuji

	* sync with glibc-2.1.3

2000-10-05 00:29  yoshfuji

	* sysdeps/unix/sysv/linux/cmsg_nxthdr.c: allow the last acillary
	data element without trailing 'pad'; RFC2292bis

2000-10-05 00:27  yoshfuji

	* sysdeps/unix/sysv/linux/cmsg_nxthdr.c: CMSG_NXTHDR(msgh,NULL)
	should return CMSG_FIRSTHDR(msgh); RFC2292

2000-10-05 00:25  yoshfuji

	* sysdeps/posix/getaddrinfo.c: getaddrinfo() did not allow
	PF_INET6/SOCK_RAW/IPPROTO_ICMPV6 set

2000-10-05 00:22  yoshfuji

	* sysdeps/unix/sysv/linux/net/if.h: IF_NAMESIZE

2000-10-05 00:20  yoshfuji

	* sysdeps/posix/getaddrinfo.c: sin6_socpe_id support.

2000-10-05 00:11  yoshfuji

	* resolv/netdb.h: define NI_NUMERICSCOPE value (in RFC2553bis)

2000-10-05 00:07  yoshfuji

	* resolv/netdb.h: Re-define values for AI_XXX flags; RFC2553bis

2000-10-04 23:56  yoshfuji

	* resolv/netdb.h: SCOPE_DELIMITER

2000-10-04 23:39  yoshfuji

	* inet/getnameinfo.c: Check if salen is large enough.

2000-10-04 23:32  yoshfuji

	* inet/netinet/in.h: introduced sin6_scope_id (new in RFC2553) into
	struct sockaddr_in6{}; old one is __sockaddr_in6_rfc2133{}

2000-10-02 00:29  yoshfuji

	* resolv/res_init.c: 1.1.1.1.4.1

2000-10-02	yoshfuji

	* glibc-2.1.3

